Uses of Class
org.apache.juneau.http.classic.part.PartList
Packages that use PartList
Package
Description
Predefined HTTP headers, parts, entities, resources, and responses built on the classic Apache HttpComponents API.
HTTP Part Beans
REST Client API
-
Uses of PartList in org.apache.juneau.http.classic
Methods in org.apache.juneau.http.classic that return PartListModifier and TypeMethodDescriptionstatic final PartListHttpParts.partList()Instantiates a newPartList.static PartListCreates a newPartListinitialized with the specified name/value pairs.static final PartListHttpParts.partList(List<NameValuePair> parts) Creates a newPartListinitialized with the specified parts.static final PartListHttpParts.partList(NameValuePair... parts) Creates a newPartListinitialized with the specified parts. -
Uses of PartList in org.apache.juneau.http.classic.part
Subclasses of PartList in org.apache.juneau.http.classic.partModifier and TypeClassDescriptionstatic classAn unmodifiable snapshot of aPartList.static final classRepresents no part list in annotations.Methods in org.apache.juneau.http.classic.part that return PartListModifier and TypeMethodDescriptionAppends the specified part to the end of this list.Appends the specified part to the end of this list using a value supplier.PartList.append(List<NameValuePair> values) Adds the specified parts to the end of the parts in this list.PartList.append(NameValuePair value) Adds the specified part to the end of the parts in this list.PartList.append(NameValuePair... values) Adds the specified parts to the end of the parts in this list.PartList.Unmodifiable.append(List<NameValuePair> values) PartList.Unmodifiable.append(NameValuePair value) PartList.Unmodifiable.append(NameValuePair... values) PartList.caseInsensitive(boolean value) Specifies that the parts in this list should be treated as case-sensitive.PartList.Unmodifiable.caseInsensitive(boolean value) PartList.copy()Makes a copy of this list.static PartListPartList.create()Instantiates a new part list.PartList.forEach(String name, Consumer<NameValuePair> action) Performs an action on all parts in this list with the specified name.PartList.forEach(Predicate<NameValuePair> filter, Consumer<NameValuePair> action) Performs an action on all the matching parts in this list.PartList.forEachValue(String name, Consumer<String> action) Performs an action on the values of all matching parts in this list.PartList.forEachValue(Predicate<NameValuePair> filter, Consumer<String> action) Performs an action on the values for all matching parts in this list.static PartListPartList.of(List<NameValuePair> parts) Creates a newPartListinitialized with the specified parts.static PartListPartList.of(NameValuePair... parts) Creates a newPartListinitialized with the specified parts.static PartListCreates a newPartListinitialized with the specified name/value pairs.Appends the specified part to the beginning of this list.Appends the specified part to the beginning of this list using a value supplier.PartList.prepend(List<NameValuePair> values) Adds the specified parts to the beginning of the parts in this list.PartList.prepend(NameValuePair value) Adds the specified part to the beginning of the parts in this list.PartList.prepend(NameValuePair... values) Adds the specified parts to the beginning of the parts in this list.PartList.Unmodifiable.prepend(List<NameValuePair> values) PartList.Unmodifiable.prepend(NameValuePair value) PartList.Unmodifiable.prepend(NameValuePair... values) Removes the part with the specified name from this list.Removes the part with the specified name from this list.PartList.remove(List<NameValuePair> values) Removes the specified parts from this list.PartList.remove(NameValuePair value) Removes the specified part from this list.PartList.remove(NameValuePair... values) Removes the specified parts from this list.PartList.Unmodifiable.remove(List<NameValuePair> values) PartList.Unmodifiable.remove(NameValuePair value) PartList.Unmodifiable.remove(NameValuePair... values) PartList.resolving()Allows part values to contain SVL variables.PartList.resolving(VarResolver varResolver) Allows part values to contain SVL variables.PartList.Unmodifiable.resolving()PartList.Unmodifiable.resolving(VarResolver varResolver) Replaces the first occurrence of the parts with the same name.Replaces the first occurrence of the parts with the same name.PartList.set(List<NameValuePair> values) Replaces the first occurrence of the parts with the same name.PartList.set(NameValuePair value) Adds or replaces the part(s) with the same name.PartList.set(NameValuePair... values) Adds or replaces the part(s) with the same name.PartList.Unmodifiable.set(List<NameValuePair> values) PartList.Unmodifiable.set(NameValuePair value) PartList.Unmodifiable.set(NameValuePair... values) PartList.setDefault(String name, Object value) Replaces the first occurrence of the part with the same name.PartList.setDefault(String name, Supplier<?> value) Replaces the first occurrence of the headers with the same name.PartList.setDefault(List<NameValuePair> parts) Adds a collection of default parts.PartList.setDefault(NameValuePair... parts) Makes a copy of this list of parts and adds a collection of default parts.PartList.Unmodifiable.setDefault(String name, Object value) PartList.Unmodifiable.setDefault(String name, Supplier<?> value) PartList.Unmodifiable.setDefault(List<NameValuePair> parts) PartList.Unmodifiable.setDefault(NameValuePair... parts) PartList.unmodifiable()Returns an unmodifiable snapshot of this list.Constructors in org.apache.juneau.http.classic.part with parameters of type PartList -
Uses of PartList in org.apache.juneau.rest.client.classic
Fields in org.apache.juneau.rest.client.classic declared as PartListModifier and TypeFieldDescriptionprotected final PartListRestClient.formDataprotected final PartListRestClient.pathDataprotected final PartListRestClient.queryDataMethods in org.apache.juneau.rest.client.classic that return PartListModifier and TypeMethodDescriptionprotected PartListRestClient.Builder.createFormData()Creates the builder for the form data list.RestClient.createFormData()Creates a mutable copy of the form data defined on this client.protected PartListRestClient.Builder.createPathData()Creates the builder for the path data list.RestClient.createPathData()Creates a mutable copy of the path data defined on this client.protected PartListRestClient.Builder.createQueryData()Creates the builder for the query data list.RestClient.createQueryData()Creates a mutable copy of the query data defined on this client.final PartListRestClient.Builder.formData()Returns the builder for the list of form data parameters that get applied to all requests created by this builder.RestRequest.getFormData()Returns the form data for the request.RestRequest.getPathData()Returns the path data for the request.RestRequest.getQueryData()Returns the query data for the request.final PartListRestClient.Builder.pathData()Returns the builder for the list of path data parameters that get applied to all requests created by this builder.final PartListRestClient.Builder.queryData()Returns the builder for the list of query parameters that get applied to all requests created by this builder.